Subject: Re: bug#15003: 24.3; Function run-python fails on MS-Windows 7

From: Stefan Monnier <[email-masked]>
Date: Fri, 16 Aug 2013 00:12:23 -0400

> (run-python "c:/Program Files (x86)/Python/Python31/python.exe -i" nil t)

This is ambiguous: maybe the program you want to run is in the file
"c:/Program".  Or is it "c:/Program Files"?  Oh wait, maybe you meant
the executable "c:/Program Files (x86)/Python/Python31/python.exe -i"?

> ? ? ? ? (let* ((cmdlist (split-string-and-unquote cmd))

split-string-and-unquote was specifically used so that the user can
resolve those ambiguities by quoting the elements that contain
embedded spaces.  E.g. try

 (run-python "\"c:/Program Files (x86)/Python/Python31/python.exe\" -i" nil t)

-- Stefan